%global srcname Traits
%global modname traits
%global commit ac5d0296def6a389f932add5fbcab2eef6e7334e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%bcond_without bootstrap

Name:           python-%{srcname}
Version:        6.4.2
Release:    	1%{?dist}
Summary:        Explicitly typed attributes for Python
License:        BSD and EPL and LGPLv2+
URL:            http://docs.enthought.com/traits/
Source0:        https://github.com/enthought/%{modname}/archive/%{version}/%{modname}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  xorg-x11-server-Xvfb

%description
The traits package developed by Enthought provides a special type
definition called a trait. Although they can be used as normal Python object
attributes, traits also have several additional characteristics:

* Initialization: A trait can be assigned a default value.
* Validation: A trait attribute's type can be explicitly declared.
* Delegation: The value of a trait attribute can be contained either
  in another object.
* Notification: Setting the value of a trait attribute can trigger
  notification of other parts of the program.
* Visualization: User interfaces that permit the interactive
  modification of a trait's value can be automatically constructed
  using the trait's definition.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-Cython
BuildRequires:  python%{python3_pkgversion}-numpy
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-sphinx
%if %{without bootstrap}
BuildRequires:  python%{python3_pkgversion}-traitsui
%endif
Requires:       python%{python3_pkgversion}-numpy
Requires:       python%{python3_pkgversion}-six
Provides:       python%{python3_pkgversion}-%{modname} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{srcname}
The traits package developed by Enthought provides a special type
definition called a trait. Although they can be used as normal Python object
attributes, traits also have several additional characteristics:

* Initialization: A trait can be assigned a default value.
* Validation: A trait attribute's type can be explicitly declared.
* Delegation: The value of a trait attribute can be contained either
  in another object.
* Notification: Setting the value of a trait attribute can trigger
  notification of other parts of the program.
* Visualization: User interfaces that permit the interactive
  modification of a trait's value can be automatically constructed
  using the trait's definition.

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}
sed -i -e '/extra_compile_args=/d' setup.py

%build
%py3_build

%install
%py3_install

%check
pushd build/lib.%{python3_platform}-*
  export PYTHONPATH=%{buildroot}%{python3_sitearch}
  xvfb-run %__python3 -s -m unittest discover -v
popd

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.txt
%doc CHANGES.rst examples/tutorials README.rst
%{python3_sitearch}/%{modname}*

%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.4.2-1
- initial build
